org.apache.myfaces.trinidad.context

## Enum Window.LifecycleState

- java.lang.Object
- - java.lang.Enum<Window.LifecycleState>
  - - org.apache.myfaces.trinidad.context.Window.LifecycleState

- All Implemented Interfaces:
    Serializable, Comparable<Window.LifecycleState>
  Enclosing class:
    Window

      public static enum Window.LifecycleState
      extends Enum<Window.LifecycleState>

  Represents the current state of the Window. Windows start out `OPEN`, when the current window's document is being unloaded, they move to the `UNLOADING` state and then either move back to the `OPEN` state if the Window's content is populated with a new document from the same application, or to the `CLOSED` state if it is not.

  This represents the framework's best guess at the current status of the Window.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED` The Window is believed to be closed, either because the window was explicitly closed or because the window is suspected to have been closed
    `OPEN` The Window is currently open
    `UNLOADING` The Window is being unloaded

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Window.LifecycleState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Window.LifecycleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final Window.LifecycleState OPEN

      The Window is currently open

    - #### UNLOADING

          public static final Window.LifecycleState UNLOADING

      The Window is being unloaded

    - #### CLOSED

          public static final Window.LifecycleState CLOSED

      The Window is believed to be closed, either because the window was explicitly closed or because the window is suspected to have been closed

  - ### Method Detail

    - #### values

          public static Window.LifecycleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Window.LifecycleState c : Window.LifecycleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Window.LifecycleState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.